# 佛冈县·政务公开
# http://www.fogang.gov.cn/zwgk/  (清远 NF-CMS 集群下 zwgk 路径变体)
#
# 注：佛冈县政府主站还有走清远云 gkmlpt API 的部分（site_code=fogang,
# cms_adapter=gkmlpt）。本 yaml 只覆盖 zwgk 这套传统 HTML 列表页。
#
# DOM 结构（2026-04-27 实测）：
#   列表: <div class="pageList listContent infoList">
#           <li><h4><a href title="…">…</a><span class="date">YYYY-MM-DD</span></h4></li>
#         </div>
#   详情: <h1.article-title>标题</h1>
#         <div class="info"><span class="date">YYYY-MM-DD</span><span class="source">来源</span></div>
#         <div class="article-content">正文…</div>

site_id: fogang_zwgk
site_name: 佛冈县·政务公开
base_url: http://www.fogang.gov.cn
default_strategy: httpx
concurrency: 1
interval_sec: 10
enabled: true
respect_robots: true

default_column:
  list_selector:
    row: "div.pageList li, ul.list3 li, .newsList li"
    href: "a::attr(href)"
    title: "a::attr(title), a::text"
    date: "span.date::text, span::text"
  pagination:
    type: path_pattern
    pattern: "index_{page}.html"
    start: 2
    max_pages: 30
  detail:
    title: >-
      h1.article-title::text, h1.title::text, h1::text,
      div.article-title::text, div.title::text
    publish_time: >-
      div.info span.date::text, span.date::text, span.time::text,
      div.info span::text, em.time::text
    source: >-
      span.source::text, div.info span.source::text, div.info em::text
    content: >-
      div.article-content, div.content, div.TRS_Editor, div.article
    attachment_css: >-
      a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
      a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip'], a[href$='.wps'],
      a.nfw-cms-attachment, a[href*='/attachment/']

columns: []
